# Google Analytics API . metadata . columns

## Instance Methods

Lists all columns for a report type

### Method Details

`list(reportType)`

    Lists all columns for a report type

    Args:
      reportType: string, Report type. Allowed Values: 'ga'. Where 'ga' corresponds to the Core Reporting API (required)

    Returns:
      An object of the form:

        { # Lists columns (dimensions and metrics) for a particular report type.
        "items": [ # List of columns for a report type.
          { # JSON template for a metadata column.
            "attributes": { # Map of attribute name and value for this column.
              "a_key": "A String", # The name of the attribute.
            },
            "kind": "analytics#column", # Resource type for Analytics column.
            "id": "A String", # Column id.
          },
        ],
        "kind": "analytics#columns", # Collection type.
        "etag": "A String", # Etag of collection. This etag can be compared with the last response etag to check if response has changed.
        "totalResults": 42, # Total number of columns returned in the response.
        "attributeNames": [ # List of attributes names returned by columns.
          "A String",
        ],
      }